Bug 6299 - wrong output plugin selected by default
wrong output plugin selected by default
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
6.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-24 04:42 EDT by rh-devel
Modified: 2015-12-15 10:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-22 17:54:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rh-devel 1999-10-24 04:42:58 EDT
The xmms mp3/etc player packaged with RH6.1 comes configured
to use the Disk Writer output plugin by default -- which
writes its output to a .wav file in the user's home
directory, rather than playing it to an audio device.  More
ideally the initial selection should be either the esound or
OSS output plugins (presumably the latter given the GNOME
environment).
Comment 1 Bill Nottingham 1999-10-25 12:07:59 EDT
I don't see this here; removing the ~/.xmms directory,
and then starting xmms, I get the esound plugin...
Comment 2 rh-devel 1999-10-28 20:41:59 EDT
Sofar I've been able to reproduce this only on two RH6.0 workstations
running xmms as installed from xmms.org's 0.9.5 RPMs (which did not
include the WAV output plugin IIRC), which makes it a fairly narrow
issue for xmms rather than RH.
Comment 3 Bill Nottingham 2000-02-22 17:54:59 EST
fixed in xmms-1.0.1-4.
if ~/.xmms/config references an output plugin that doesn't exist,
it grabs the first one in the list (i.e., the disk writer).
Changed to also look for the same filename in .xmms/config, but
in a different directory...
Comment 4 openshift-github-bot 2015-12-15 10:33:08 EST
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/20a78d196e35ccbb2e1ea388d435e15b66a029a8
Merge pull request #6309 from gabemontero/issue6299-fixforcepull

Merged by openshift-bot

Note You need to log in before you can comment on or make changes to this bug.